<?php

namespace FiloBlu\ExtViSualMerchandiser\Plugin\Model\Category;
use FiloBlu\ExtViSualMerchandiser\Helper\CacheHelper;

/**
 * Class Products
 * @package FiloBlu\ExtViSualMerchandiser\Plugin\Model\Category
 */
class Products {

    /**
     * @var CacheHelper
     */
    private $cacheHelper;

    /**
     * Products constructor.
     * @param CacheHelper $cacheHelper
     */
    public function __construct(CacheHelper $cacheHelper)
    {
        $this->cacheHelper = $cacheHelper;
    }
    /**
     * @param $subject
     * @param $key
     * @return null
     * @see \Magento\VisualMerchandiser\Model\Category\Products::setCacheKey()
     */
    public function beforeSetCacheKey($subject, $key){

        if($key) {
            $this->cacheHelper->setCacheKey($key);
            return null;
        }

        return [ $this->cacheHelper->getCacheKey() ];
    }
}
